Bug 6511

Summary: Unable to type text in Canola on N900
Product: [Extras] Canola Reporter: Jeff Moe <moe>
Component: Last.fm pluginAssignee: Eduardo Lima (Etrunko) <eblima>
Status: NEW QA Contact: general-bugs
Severity: normal    
Priority: Low CC: karlo1, maemo-bugs, mr_abruce, osymatt, vdv100
Version: unspecified   
Target Milestone: ---   
Hardware: N900   
OS: Maemo   

Description Jeff Moe (reporter) 2009-12-02 20:00:47 UTC
SOFTWARE VERSION:
canola2 2.0.0-maemo1
canola2-lastfm-plugin 0.1.3-maemo1

EXACT STEPS LEADING TO PROBLEM: 
1. Launch canola
2. Tap: Settings icon--> Internet media --> Last.fm--> Login to Last.fm
3. Tap Username: field
4. Type a character to enter username.

EXPECTED OUTCOME:
One should be able to enter username/password for last.fm glory.

ACTUAL OUTCOME:
Contacts application is started, with letter typed in step #4 above at box at
bottom of Contacts app. Basically it searches the Contacts app with what you
have typed.

REPRODUCIBILITY:
100%

EXTRA SOFTWARE INSTALLED:
N/A I don't think

User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.5)
Gecko/20091105 Fedora/3.5.5-1.fc12 Firefox/3.5.5
Comment 2 Eduardo Lima (Etrunko) maemo.org 2009-12-14 21:54:04 UTC
This is actually a problem with all text entries. Any text you type in will
cause the Contacts application to be loaded. Still haven't found the real cause
of this problem.
Comment 3 Eduardo Lima (Etrunko) maemo.org 2009-12-14 21:55:53 UTC
(In reply to comment #1)
> This may be related to the bug:
> 
> http://sourceforge.net/mailarchive/forum.php?thread_name=c4cd0cc80911291029l282b140fob3288389beabfa39%40mail.gmail.com&forum_name=enlightenment-devel
> 

Yes, it is. Thanks for pointing out. :)
Comment 4 Ben Cox 2010-01-06 02:38:12 UTC
(In reply to comment #3)
> (In reply to comment #1)
> > This may be related to the bug:
> > 
> > http://sourceforge.net/mailarchive/forum.php?thread_name=c4cd0cc80911291029l282b140fob3288389beabfa39%40mail.gmail.com&forum_name=enlightenment-devel
> > 
> 
> Yes, it is. Thanks for pointing out. :)
> 

I have found a work around for those interested, hope this helps you.
Once you have the text entry field up, start typing and then cancel the contact
search that appears and return to Canola. Press the power button once to bring
up the N900 menu and click back into the blank space at the bottom, thus
returning you to Canola once again. This seemed to solve it for the instance of
Canola I had open (until I closed and re-opened the app)
Apologies if this is at all unhelpful.
Comment 5 Eduardo Lima (Etrunko) maemo.org 2010-01-06 16:41:27 UTC
(In reply to comment #4)
> 
> I have found a work around for those interested, hope this helps you.
> Once you have the text entry field up, start typing and then cancel the contact
> search that appears and return to Canola. Press the power button once to bring
> up the N900 menu and click back into the blank space at the bottom, thus
> returning you to Canola once again. This seemed to solve it for the instance of
> Canola I had open (until I closed and re-opened the app)
> Apologies if this is at all unhelpful.
> 

Yeah, it works. Thanks for the information. I've got the same results by
clicking on the text entry and then power button instead of start typing. This
avoids bringing up the contacts app.

This adds another bit to the level of weirdness of this bug.
Comment 6 Sacha Muszlak 2010-01-07 00:55:36 UTC
(In reply to comment #4)
Thanks for the workaround : really helpful. 

When starting canola from the shell, the typed text is send in stdout : could
this help correcting the bug ?
Comment 7 Eduardo Lima (Etrunko) maemo.org 2010-05-25 17:17:31 UTC
*** Bug 10258 has been marked as a duplicate of this bug. ***
Comment 8 Karlo Luiten 2010-05-31 15:12:29 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #1)
> > > This may be related to the bug:
> > > 
> > > http://sourceforge.net/mailarchive/forum.php?thread_name=c4cd0cc80911291029l282b140fob3288389beabfa39%40mail.gmail.com&forum_name=enlightenment-devel
> > > 
> > 
> > Yes, it is. Thanks for pointing out. :)
> > 
> 
> I have found a work around for those interested, hope this helps you.
> Once you have the text entry field up, start typing and then cancel the contact
> search that appears and return to Canola. Press the power button once to bring
> up the N900 menu and click back into the blank space at the bottom, thus
> returning you to Canola once again. This seemed to solve it for the instance of
> Canola I had open (until I closed and re-opened the app)
> Apologies if this is at all unhelpful.
> 
Does not work for me. Contact's screen does not show.
Comment 9 Alan Bruce maemo.org 2010-06-08 02:02:03 UTC
Under PR 1.2, the power button menu workaround no longer is effective. I have
been using qobi's little "fixer app" to workaround the keyboard focus issue.
Comment 10 Alan Bruce maemo.org 2010-06-08 02:02:56 UTC
Sorry for the comment spam. Here is a link to the fixer app:

http://talk.maemo.org/showthread.php?p=429114#post429114